﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.BLL.DbModels;
using WCS.BLL.HardWare;
using WCS.DAL.Db;
using WCS.DAL.DbModels;

namespace WCS.BLL.Manager
{
    public static class ShelfManager
    {
        public static List<IShelfBase> Shelves { get; set; } = new List<IShelfBase>();
        static ShelfManager()
        {

        }

        public static void InitShelves()
        {
            var shelvesInDb = DbHelp.db.Queryable<ShelfInfo>().ToList();
            foreach (var shelfInDb in shelvesInDb)
            {
                Shelves.Add(InitShelf(shelfInDb));
            }
        }

        public static IShelfBase InitShelf(ShelfInfo shelfInDb)
        {
            switch (shelfInDb.ShelfTypeId)
            {
                case 1:
                    return new SmartShelf(shelfInDb)
                    {
                        ShelfId = shelfInDb.Id,
                        ShelfCode = shelfInDb.ShelfCode,
                        GroupName = shelfInDb.GroupName,
                    };
                default:
                    return null;
            }
        }
    }
}
