﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Model.ApiModel.InOutRecord
{
    public class InOutRecordModel
    {
        public int Id { get; set; }

        #region 库位属性
        public int StoreId { get; set; }
        public string StoreCode { get; set; }
        #endregion

        #region 物料属性
        public string MatSN { get; set; }
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string MatSpec { get; set; }
        public string MatBatch { get; set; }
        public int MatQty { get; set; }
        public string? MatSupplier { get; set; }
        public string? MatCustomer { get; set; }
        #endregion

        public string? OrderNumber { get; set; }
        public DirectionEnum Direction { get; set; }
        public bool IsUpload { get; set; } = false;
        public DateTime OperateTime { get; set; }
        public string OperateUser { get; set; }

        public int RowNumber { get; set; }
        public bool IsSelected { get; set; }
    }

    public enum DirectionEnum
    {
        入库 = 0,
        出库 = 1,
        丢失 = 2,
        盘点 = 3,
    }
}
