using Microsoft.AspNetCore.Mvc;
using WCS.BLL.HardWare;
using WCS.BLL.Manager;
using WCS.BLL.Services.IService;
using WCS.Model;

namespace WebApi.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class InstoreController : ControllerBase
    {

        private readonly ILogger<InstoreController> _logger;
        private readonly IInstoreService _instoreService;

        public InstoreController(ILogger<InstoreController> logger, IInstoreService instoreService)
        {
            _logger = logger;
            _instoreService = instoreService;
        }

        /// <summary>
        /// ģʽ
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("shelfGoInInStore")]
        [HttpPost(Name = "shelfGoInInStore")]
        public async Task<ResponseBase> shelfGoInInStore(ShelfGoInInstoreRequest request)
        {
            string content = string.Empty;
            try
            {
                //ȡ豸IPַ
                var IPAdress = HttpContext?.Connection?.RemoteIpAddress?.ToString();
                if (string.IsNullOrEmpty(IPAdress))
                {
                    //δȡ豸IPַ
                    //TO DO ¼־δȡIP
                }
                else
                {
                    //ȡ豸Ipַ request
                    request.IpAdress = IPAdress;
                }
                return _instoreService.shelfGoInInStore(request);

            }
            catch (Exception ex)
            {
                return new ShelfGoInInstoreResponse()
                {
                    Code = 300,
                    Message = "ܽģʽʧܣ" + ex.Message,
                };
            }
        }

        /// <summary>
        /// ˳ģʽ
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("shelfGoOutInStore")]
        [HttpPost(Name = "shelfGoOutInStore")]
        public async Task<ResponseBase> shelfGoOutInStore(ShelfGoOutInStoreRequest request)
        {
            try
            {
                return _instoreService.shelfGoOutInStore(request);
            }
            catch (Exception ex)
            {
                return new ResponseCommon()
                {
                    Code = 300,
                    Message = $"˳ģʽʧ:{ex.Message}",
                };
            }
        }

        /// <summary>
        /// ɨ ȡϸ
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("queryByMatSn")]
        [HttpPost(Name = "queryByMatSn")]
        public async Task<ResponseBase> queryByMatSn(QueryByMatSnRequest request)
        {
            return await _instoreService.queryByMatSn(request);
        }

        /// <summary>
        /// ѯ״̬
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [Route("queryInstoreStatus")]
        [HttpPost(Name = "queryInstoreStatus")]
        public async Task<ResponseBase> queryInstoreStatus(QueryByMatSnRequest request)
        {
            try
            {
                return await _instoreService.queryInstoreStatus(request);
            }
            catch (Exception ex)
            {
                return new ResponseCommon()
                {
                    Code = 300,
                    Message = $"ʧ:{ex.Message}",
                };
            }
        }
    }
}
