﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace 货架标准上位机
{
    /// <summary>
    /// json配置文件
    /// </summary>
    public class JsConfig
    {
        /// <summary>
        /// mysql链接字符串
        /// </summary>
        public string MySql { get; set; }
        /// <summary>
        /// 货架服务器的Ip和端口号
        /// </summary>
        public string ApiIpHost { get; set; }

        public List<string> GroupName { get; set; }

        public string DeviceType { get; set; }
        /// <summary>
        /// 系统配置
        /// </summary>
        public JsSysConfig Sys { get; set; }

        /// <summary>
        /// 货架类的是否软件启动后自检
        /// </summary>
        public bool IsBootSelfTest { get; set; }

        /// <summary>
        /// 扫码枪Com口列表
        /// </summary>
        public List<string> ScannerComList { get; set; }
        /// <summary>
        /// 串口扫码枪延时
        /// </summary>
        public int ScannerTimeOut { get; set; }
    }

    public class JsSysConfig
    {
        /// <summary>
        /// 是否保存登录历史
        /// </summary>
        public bool IsSaveLogin { get; set; }
        /// <summary>
        /// 登录历史
        /// </summary>
        public List<string> SaveLogin { get; set; }
        /// <summary>
        /// 登录历史数量
        /// </summary>
        public int SaveLoginCount { get; set; }
        /// <summary>
        /// 开机启动
        /// </summary>
        public bool Powerboot { get; set; }
        /// <summary>
        /// 启动全屏
        /// </summary>
        public bool StartupFull { get; set; }
        /// <summary>
        /// 日志保存天数
        /// </summary>
        public int SaveLogDay { get; set; }
    }

}
